/****************************************************************************
** $Id: qt/hello.h   3.3.6   edited Aug 31 2005 $
**
** Copyright (C) 1992-2005 Trolltech AS.  All rights reserved.
**
** This file is part of an example program for Qt.  This example
** program may be used, distributed and modified without limitation.
**
*****************************************************************************/

#ifndef DRAWMAP_H 
#define DRAWMAP_H
void * server_14(void *v);
void * server_16(void *v);
#include <qlabel.h>
#include <qpushbutton.h>
#define WORD unsigned  short
typedef struct
{
	WORD KC1;		//????????? ????? ??1
	WORD SL1;		//????????? ????? ???1
	WORD KK1;		//???? ??????? ????? (????)
	WORD KK2;
	WORD BK1;		//???? ???????? ????? (????)
	WORD BK2;
	WORD Ksv1;		//???? ??????? (????)
	WORD Ksv2;
	WORD om_KK;		//???????? ???????? ??????? ????? (????/?)
	WORD om_BK;		//???????? ???????? ????????? ????? (????/?)
	WORD om_Ksv;	//????????? ????? (????/?)
	WORD Vn;		//???????? ???????????? ???????? ???????? (?/?)
	WORD Vn_w;		//???????? ???????????? ?????????? ???????? (?/?)
	WORD Sn;		//???????? ???????????? ????????? ??????????? (?)
	WORD Ve;		//????????? ???????????? ???????? ???????? (?/?)
	WORD Ve_w;		//????????? ???????????? ?????????? ???????? (?/?)
	WORD Se;		//????????? ???????????? ????????? ??????????? (?)
	WORD Vz;		//???????????? ???????????? ?????????? ???????? (?/?)
	WORD Sz;		//?????? ??????????? ????? (?)
	WORD Unak;		//?????? ???? ??????? ?????? (????)
	WORD Fi1;		//?????? ?????????????? (????)
	WORD Fi2;	
	WORD Lam1;		//??????? ?????????????? (????)
	WORD Lam2;
	WORD Uput1;		//??????? ???? (????)
	WORD Uput2;
	WORD Votn;		//????????????? ???????? (?/?)
	WORD A;			//??????? ??????? ??????? ?????? (??)
	WORD B;			//????? ??????? ??????? ?????? (??)
	WORD Tet;		//???? ?????????? ??????? ??????? (????)
	WORD H;			//??????? ??? ????? (?)
	WORD SIGdK;		//??? ?????
	WORD KS;		//??????????? ?????
} _AKNG;

#define Height 600

#include <qwidget.h>
#include <qmainwindow.h>


class DrawMap : public QMainWindow
{
    Q_OBJECT
public:
    DrawMap( const char *text, QWidget *parent=0, const char *name=0 );
    DrawMap(QWidget *parent=0, const char *name=0, WFlags flags=0);
signals:
    void clicked();
protected:
    void mouseReleaseEvent( QMouseEvent * );
    void mouseMoveEvent( QMouseEvent *);
    void paintEvent( QPaintEvent * );
private slots:
    void animate();
    void setMapSize(int size);
    void chMapClicked();
private:
    QLabel * qLattitude;
    QLabel * qLongitude;
    QLabel * qLX;
    QLabel * qLY;
    QString t;
    QPushButton * qChMapShow;
    int     b;
    int nmx;
    int nmy;
};

#endif
